[Unit]
Description=Some RFC 4941 tmpaddr generation hacks
Before=network.target

[Service]
Type=notify
ExecStart=/usr/sbin/ipv6-tmpaddr
PrivateDevices=true
PrivateTmp=true
ProtectSystem=strict
ProtectHome=true
ProtectKernelTunables=true
ProtectKernelModules=true
ProtectControlGroups=true
RestrictAddressFamilies=AF_INET6 AF_NETLINK AF_UNIX

[Install]
WantedBy=network.target
